curl --location 'https://www.headout.com/api/v1/product/listing/list-by/category?categoryId=3956&language=ES¤cyCode=EUR&limit=20&offset=10' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
"items": [
{
"id": 123,
"name": "<string>",
"url": "<string>",
"canonicalUrl": "<string>",
"neighbourhood": "<string>",
"content": {
"highlights": "<string>",
"highlightsHtml": "<string>",
"shortSummary": "<string>",
"summaryHtml": "<string>",
"inclusions": "<string>",
"inclusionsHtml": "<string>",
"exclusions": "<string>",
"exclusionsHtml": "<string>",
"faqHtml": "<string>",
"ticketDeliveryInfoHtml": "<string>"
},
"city": {
"code": "<string>",
"name": "<string>",
"image": {
"url": "<string>"
}
},
"displayTags": [
"<string>"
],
"images": [
{
"url": "<string>",
"type": "IMAGE"
}
],
"startLocation": {
"geolocation": {
"latitude": 123,
"longitude": 123
},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"cityName": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryName": "<string>"
}
},
"endLocation": {
"geolocation": {
"latitude": 123,
"longitude": 123
},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"cityName": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryName": "<string>"
}
},
"productType": "TOUR",
"ratingCumulative": {
"avg": 123,
"count": 123
},
"pricing": {
"type": "PER_PERSON",
"currencyCode": "<string>",
"minimumPrice": {
"originalPrice": 123,
"finalPrice": 123
},
"bestDiscount": 123
},
"currency": {
"code": "<string>",
"currencyName": "<string>",
"symbol": "<string>",
"localSymbol": "<string>",
"precision": 123
},
"hasInstantConfirmation": true,
"hasMobileTicket": true,
"primaryCategory": {
"id": "<string>",
"name": "<string>",
"cityCode": "<string>",
"canonicalUrl": "<string>",
"localeSpecificUrls": {}
},
"inventorySelectionType": "NORMAL",
"variants": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"duration": 123,
"inventoryType": "FIXED_START_FIXED_DURATION",
"pax": {
"min": 123,
"max": 123
},
"cashback": {
"value": 123,
"type": "PERCENTAGE"
},
"ticketDeliveryInfoHtml": "<string>",
"inputFields": [
{
"oldId": 123,
"id": "<string>",
"name": "<string>",
"dataType": "STRING",
"validation": {
"regex": "<string>",
"minLength": 123,
"maxLength": 123,
"minValue": 123,
"maxValue": 123,
"required": true,
"values": [
"<string>"
]
},
"level": "PRIMARY_CUSTOMER"
}
],
"tags": [
"<string>"
]
}
]
}
],
"nextUrl": "<string>",
"prevUrl": "<string>",
"total": 123,
"nextOffset": 123
}Retrieve bookable experiences (tickets, tours, activities) filtered by a specific category, with optional currency and language localization. Each product includes pricing, images, reviews, availability info, and cancellation policies.
curl --location 'https://www.headout.com/api/v1/product/listing/list-by/category?categoryId=3956&language=ES¤cyCode=EUR&limit=20&offset=10' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
"items": [
{
"id": 123,
"name": "<string>",
"url": "<string>",
"canonicalUrl": "<string>",
"neighbourhood": "<string>",
"content": {
"highlights": "<string>",
"highlightsHtml": "<string>",
"shortSummary": "<string>",
"summaryHtml": "<string>",
"inclusions": "<string>",
"inclusionsHtml": "<string>",
"exclusions": "<string>",
"exclusionsHtml": "<string>",
"faqHtml": "<string>",
"ticketDeliveryInfoHtml": "<string>"
},
"city": {
"code": "<string>",
"name": "<string>",
"image": {
"url": "<string>"
}
},
"displayTags": [
"<string>"
],
"images": [
{
"url": "<string>",
"type": "IMAGE"
}
],
"startLocation": {
"geolocation": {
"latitude": 123,
"longitude": 123
},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"cityName": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryName": "<string>"
}
},
"endLocation": {
"geolocation": {
"latitude": 123,
"longitude": 123
},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"cityName": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryName": "<string>"
}
},
"productType": "TOUR",
"ratingCumulative": {
"avg": 123,
"count": 123
},
"pricing": {
"type": "PER_PERSON",
"currencyCode": "<string>",
"minimumPrice": {
"originalPrice": 123,
"finalPrice": 123
},
"bestDiscount": 123
},
"currency": {
"code": "<string>",
"currencyName": "<string>",
"symbol": "<string>",
"localSymbol": "<string>",
"precision": 123
},
"hasInstantConfirmation": true,
"hasMobileTicket": true,
"primaryCategory": {
"id": "<string>",
"name": "<string>",
"cityCode": "<string>",
"canonicalUrl": "<string>",
"localeSpecificUrls": {}
},
"inventorySelectionType": "NORMAL",
"variants": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"duration": 123,
"inventoryType": "FIXED_START_FIXED_DURATION",
"pax": {
"min": 123,
"max": 123
},
"cashback": {
"value": 123,
"type": "PERCENTAGE"
},
"ticketDeliveryInfoHtml": "<string>",
"inputFields": [
{
"oldId": 123,
"id": "<string>",
"name": "<string>",
"dataType": "STRING",
"validation": {
"regex": "<string>",
"minLength": 123,
"maxLength": 123,
"minValue": 123,
"maxValue": 123,
"required": true,
"values": [
"<string>"
]
},
"level": "PRIMARY_CUSTOMER"
}
],
"tags": [
"<string>"
]
}
]
}
],
"nextUrl": "<string>",
"prevUrl": "<string>",
"total": 123,
"nextOffset": 123
}Category ID to list product listings for.
Language code for localization.
EN, ES, FR, IT, DE, PT, NL, PL "EN"
Currency code for product pricing.
Number of items to skip before starting to collect the result set.
Maximum number of items to return.
Successful response
The product listings in this page of results.
Show child attributes
Full URL to fetch the next page of results. Null if on the last page.
Full URL to fetch the previous page of results. Null if on the first page.
Total number of products matching the query across all pages.
Offset value to use in the next request to retrieve the following page.
Was this page helpful?